\documentclass[10pt,t,serif,professionalfont]{beamer}
\PassOptionsToPackage{pdfpagemode=FullScreen}{hyperref}
\PassOptionsToPackage{usenames,dvipsnames}{color}
\usepackage{../../presentation}

\mode<presentation>
{
  \usetheme{boxes}
  \setbeamercovered{invisible}
  \setbeamertemplate{navigation symbols}{} 
}
\addheadbox{filler}{\ }  % create extra space at top of slide 
%\setbeameroption{show notes}
% \setbeamertemplate{background canvas}[vertical shading][bottom=red!20,top=yellow!30]
\hypersetup{colorlinks=true,linkcolor=blue} 

\title{Section 3.2\ \ Derivatives of exponential and logarithmic functions}

\author{J Hef{}feron}
\institute{
  Mathematics and Statistics\\
  University of Vermont\\[1ex]
  \texttt{James.Hefferon@uvm.edu}
}
\date{}

\usepackage{siunitx}

\begin{document}
\begin{frame}
  \titlepage
\end{frame}

%........................................................


\begin{frame}{Feedback}
We gave the intuition that compound interest is about feedback.
When you have more money you get more interest, and so you get even more money.

Recast in the language of Calculus:~feedback is where the rate of change 
is related to the current value of the function.
We could imagine that the change rate is ten percent of the current value
of the function $f'(x)=0.10\cdot f(x)$.
Or maybe the change rate is the square root of the current value
$f'(x)=\sqrt{f(x)}$.

The simplest feedback case is $f'(x)=f(x)$.
The point of the number~$e$ is that this happens for $f(x)=e^x$.
\end{frame}

\begin{frame}
This is a graph of $f(x)=e^x\!$ showing some tangent lines.
\begin{center}
  \includegraphics{asy/derivatives_exps002.pdf}    
\end{center}
At $x=1$ the rate of change is $e^1$, approximately $2.718$.
At $x=-2$ the rate of change is $e^{-2}$, approximately $0.135$.
\end{frame}


\begin{frame}{Derivatives of exponential and logarithmic functions}
The derivative of $f(x)=e^x$ is this, expressed in both notations.
\begin{equation*}
  \alert{\frac{d\,e^x}{dx}=e^x}
  \qquad
   f'(x)=e^x
\end{equation*}
The derivative of the natural logarithm $g(x)=\ln(x)$ is this.
\begin{equation*}
  \alert{\frac{d\,\ln(x)}{dx}=\frac{1}{x}}
  \qquad
   g'(x)=\frac{1}{x}
\end{equation*}

\pause
For all bases, the derivative of $f(x)=b^x$ is this.
\begin{equation*}
  \frac{d\,b^x}{dx}=b^x\cdot \ln(b)
  \qquad
   f'(x)=b^x\cdot\ln(b)
\end{equation*}
and the derivative of the base~$b$ logarithm $g(x)=\log_b(x)$ is this.
\begin{equation*}
  \frac{d\,\log_b(x)}{dx}=\frac{1}{x}\cdot\frac{1}{\ln(b)}
  \qquad
   g'(x)=\frac{1}{x}\cdot\frac{1}{\ln(b)}
\end{equation*}
\end{frame}


\begin{frame}
This is a graph of $f(x)=\ln(x)$ showing a tangent line.
\begin{center}
  \includegraphics{asy/derivatives_exps003.pdf}    
\end{center}
The rate of change is $1/x$, so at $x=1$ the derivative is $f'(1)=1/1=1$.
\end{frame}


\begin{frame}{Practice}
Find each derivative.
\begin{enumerate}
\item $\displaystyle -7e^x-2x+5$
\pause \\  The derivative is $\displaystyle -7e^x-2$.
\item $\displaystyle 6\ln(x)-x^3+2$
\pause \\ The derivative is $\displaystyle 6\cdot \frac{1}{x}-3x^2$.
\item $\displaystyle 9\cdot 3^x+2x^2$
\pause \\ The derivative is $\displaystyle 9\cdot 3^x\cdot\ln(3)+4x$.
\item $\displaystyle \ln(x^8)$ \textit{Hint:} start by using
  the logarithm law about powers.
\pause \\ Rewrite as $\displaystyle 8\ln(x)$ then the derivative is 
      $\displaystyle 8/x$.
\item $5x^2-3e^x+4\ln x$
\pause \\ $\displaystyle 10x-3e^x+4\cdot \frac{1}{x}$
\item $-3\ln x-x^{1/2}$
\pause \\ $\displaystyle -\frac{3}{x}-\frac{1}{2}x^{-1/2}$
\end{enumerate}
\end{frame}







% ---------------------
% \begin{frame}
% \frametitle{}
% \end{frame}
\end{document}
